## org.eclipse.xsd.util
Class XSDConstants

    java.lang.Object
      org.eclipse.xsd.util.XSDConstants

Direct Known Subclasses:
  XSDUtil

    public class XSDConstants

extends java.lang.Object

The Constants for XML and XML Schema and related DOM Utilities.

Field Summary
`static java.lang.String` `ABSTRACT_ATTRIBUTE` The value `"abstract"`; an attribute on an `XML Schema element`.
`static int` `ALL_ELEMENT` The value `0`.
`static java.lang.String` `ALL_ELEMENT_TAG` The value `"all"`.
`static int` `ANNOTATION_ELEMENT` The value `1`.
`static java.lang.String` `ANNOTATION_ELEMENT_TAG` The value `"annotation"`.
`static int` `ANY_ELEMENT` The value `2`.
`static java.lang.String` `ANY_ELEMENT_TAG` The value `"any"`.
`static int` `ANYATTRIBUTE_ELEMENT` The value `3`.
`static java.lang.String` `ANYATTRIBUTE_ELEMENT_TAG` The value `"anyAttribute"`.
`static int` `APPINFO_ELEMENT` The value `4`.
`static java.lang.String` `APPINFO_ELEMENT_TAG` The value `"appinfo"`.
`static int` `ATTRIBUTE_ELEMENT` The value `5`.
`static java.lang.String` `ATTRIBUTE_ELEMENT_TAG` The value `"attribute"`.
`static java.lang.String` `ATTRIBUTEFORMDEFAULT_ATTRIBUTE` The value `"attributeFormDefault"`; an attribute on an `XML Schema element`.
`static int` `ATTRIBUTEGROUP_ELEMENT` The value `6`.
`static java.lang.String` `ATTRIBUTEGROUP_ELEMENT_TAG` The value `"attributeGroup"`.
`static java.lang.String` `BASE_ATTRIBUTE` The value `"base"`; an attribute on an `XML Schema element`.
`static java.lang.String` `BLOCK_ATTRIBUTE` The value `"block"`; an attribute on an `XML Schema element`.
`static java.lang.String` `BLOCKDEFAULT_ATTRIBUTE` The value `"blockDefault"`; an attribute on an `XML Schema element`.
`static int` `CHOICE_ELEMENT` The value `7`.
`static java.lang.String` `CHOICE_ELEMENT_TAG` The value `"choice"`.
`static int` `COMPLEXCONTENT_ELEMENT` The value `8`.
`static java.lang.String` `COMPLEXCONTENT_ELEMENT_TAG` The value `"complexContent"`.
`static int` `COMPLEXTYPE_ELEMENT` The value `9`.
`static java.lang.String` `COMPLEXTYPE_ELEMENT_TAG` The value `"complexType"`.
`static java.lang.String` `DEFAULT_ATTRIBUTE` The value `"default"`; an attribute on an `XML Schema element`.
`static java.lang.String` `DEFREF_ATTRIBUTE` The value `"defRef"`; an attribute on an `XML Schema element`.
`static int` `DOCUMENTATION_ELEMENT` The value `10`.
`static java.lang.String` `DOCUMENTATION_ELEMENT_TAG` The value `"documentation"`.
`static int` `ELEMENT_ELEMENT` The value `11`.
`static java.lang.String` `ELEMENT_ELEMENT_TAG` The value `"element"`.
`static java.lang.String[]` `ELEMENT_TAGS` The sorted strings representing all XML Schema element tags.
`static java.lang.String` `ELEMENTFORMDEFAULT_ATTRIBUTE` The value `"elementFormDefault"`; an attribute on an `XML Schema element`.
`static int` `ENUMERATION_ELEMENT` The value `12`.
`static java.lang.String` `ENUMERATION_ELEMENT_TAG` The value `"enumeration"`.
`static int` `EXTENSION_ELEMENT` The value `13`.
`static java.lang.String` `EXTENSION_ELEMENT_TAG` The value `"extension"`.
`static int` `FIELD_ELEMENT` The value `14`.
`static java.lang.String` `FIELD_ELEMENT_TAG` The value `"field"`.
`static java.lang.String` `FINAL_ATTRIBUTE` The value `"final"`; an attribute on an `XML Schema element`.
`static java.lang.String` `FINALDEFAULT_ATTRIBUTE` The value `"finalDefault"`; an attribute on an `XML Schema element`.
`static java.lang.String` `FIXED_ATTRIBUTE` The value `"fixed"`; an attribute on an `XML Schema element`.
`static java.lang.String` `FORM_ATTRIBUTE` The value `"form"`; an attribute on an `XML Schema element`.
`static int` `FRACTIONDIGITS_ELEMENT` The value `15`.
`static java.lang.String` `FRACTIONDIGITS_ELEMENT_TAG` The value `"fractionDigits"`.
`static int` `GROUP_ELEMENT` The value `16`.
`static java.lang.String` `GROUP_ELEMENT_TAG` The value `"group"`.
`static java.lang.String[]` `HFP_ELEMENT_TAGS` The sorted strings representing all XML Schema has facet and property element tags.
`static int` `HFP_HASFACET_ELEMENT` The value `0`.
`static java.lang.String` `HFP_HASFACET_ELEMENT_TAG` The value `"hasFacet"`.
`static int` `HFP_HASPROPERTY_ELEMENT` The value `1`.
`static java.lang.String` `HFP_HASPROPERTY_ELEMENT_TAG` The value `"hasProperty"`.
`static java.lang.String` `HFP_NAME_ATTRIBUTE` The value `"name"`; an attribute on an XML Schema `has facet and property element`.
`static java.lang.String` `HFP_VALUE_ATTRIBUTE` The value `"value"`; an attribute on an XML Schema `has facet and property element`.
`static java.lang.String` `ID_ATTRIBUTE` The value `"id"`; an attribute on an `XML Schema element`.
`static int` `IMPORT_ELEMENT` The value `17`.
`static java.lang.String` `IMPORT_ELEMENT_TAG` The value `"import"`.
`static int` `INCLUDE_ELEMENT` The value `18`.
`static java.lang.String` `INCLUDE_ELEMENT_TAG` The value `"include"`.
`static java.lang.String` `ITEMTYPE_ATTRIBUTE` The value `"itemType"`; an attribute on an `XML Schema element`.
`static int` `KEY_ELEMENT` The value `19`.
`static java.lang.String` `KEY_ELEMENT_TAG` The value `"key"`.
`static int` `KEYREF_ELEMENT` The value `20`.
`static java.lang.String` `KEYREF_ELEMENT_TAG` The value `"keyref"`.
`static int` `LENGTH_ELEMENT` The value `21`.
`static java.lang.String` `LENGTH_ELEMENT_TAG` The value `"length"`.
`static int` `LIST_ELEMENT` The value `22`.
`static java.lang.String` `LIST_ELEMENT_TAG` The value `"list"`.
`static int` `MAXEXCLUSIVE_ELEMENT` The value `23`.
`static java.lang.String` `MAXEXCLUSIVE_ELEMENT_TAG` The value `"maxExclusive"`.
`static int` `MAXINCLUSIVE_ELEMENT` The value `24`.
`static java.lang.String` `MAXINCLUSIVE_ELEMENT_TAG` The value `"maxInclusive"`.
`static int` `MAXLENGTH_ELEMENT` The value `25`.
`static java.lang.String` `MAXLENGTH_ELEMENT_TAG` The value `"maxLength"`.
`static java.lang.String` `MAXOCCURS_ATTRIBUTE` The value `"maxOccurs"`; an attribute on an `XML Schema element`.
`static java.lang.String` `MEMBERTYPES_ATTRIBUTE` The value `"memberTypes"`; an attribute on an `XML Schema element`.
`static int` `MINEXCLUSIVE_ELEMENT` The value `26`.
`static java.lang.String` `MINEXCLUSIVE_ELEMENT_TAG` The value `"minExclusive"`.
`static int` `MININCLUSIVE_ELEMENT` The value `27`.
`static java.lang.String` `MININCLUSIVE_ELEMENT_TAG` The value `"minInclusive"`.
`static int` `MINLENGTH_ELEMENT` The value `28`.
`static java.lang.String` `MINLENGTH_ELEMENT_TAG` The value `"minLength"`.
`static java.lang.String` `MINOCCURS_ATTRIBUTE` The value `"minOccurs"`; an attribute on an `XML Schema element`.
`static java.lang.String` `MIXED_ATTRIBUTE` The value `"mixed"`; an attribute on an `XML Schema element`.
`static java.lang.String` `NAME_ATTRIBUTE` The value `"name"`; an attribute on an `XML Schema element`.
`static java.lang.String` `NAMESPACE_ATTRIBUTE` The value `"namespace"`; an attribute on an `XML Schema element`.
`static java.lang.String` `NILLABLE_ATTRIBUTE` The value `"nillable"`; an attribute on an `XML Schema element`.
`static int` `NOTATION_ELEMENT` The value `29`.
`static java.lang.String` `NOTATION_ELEMENT_TAG` The value `"notation"`.
`static java.lang.String` `OCCURS_ATTRIBUTE` The value `"occurs"`; an attribute on an `XML Schema element`.
`static java.lang.String` `PART1` The value `"http://www.w3.org/TR/xmlschema-1/"`.
`static java.lang.String` `PART2` The value `"http://www.w3.org/TR/xmlschema-2/"`.
`static int` `PATTERN_ELEMENT` The value `30`.
`static java.lang.String` `PATTERN_ELEMENT_TAG` The value `"pattern"`.
`static java.lang.String` `PROCESSCONTENTS_ATTRIBUTE` The value `"processContents"`; an attribute on an `XML Schema element`.
`static java.lang.String` `PUBLIC_ATTRIBUTE` The value `"public"`; an attribute on an `XML Schema element`.
`static int` `REDEFINE_ELEMENT` The value `31`.
`static java.lang.String` `REDEFINE_ELEMENT_TAG` The value `"redefine"`.
`static java.lang.String` `REF_ATTRIBUTE` The value `"ref"`; an attribute on an `XML Schema element`.
`static java.lang.String` `REFER_ATTRIBUTE` The value `"refer"`; an attribute on an `XML Schema element`.
`static int` `RESTRICTION_ELEMENT` The value `32`.
`static java.lang.String` `RESTRICTION_ELEMENT_TAG` The value `"restriction"`.
`static int` `SCHEMA_ELEMENT` The value `33`.
`static java.lang.String` `SCHEMA_ELEMENT_TAG` The value `"schema"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_1999` The value `http://www.w3.org/1999/XMLSchema"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_2000_10` The value `"http://www.w3.org/2000/10/XMLSchema"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_2001` The value `"http://www.w3.org/2001/XMLSchema"`.
`static java.lang.String` `SCHEMA_HAS_FACET_AND_PROPERTY_URI_2001` The value `"http://www.w3.org/2001/XMLSchema-hasFacetAndProperty"`.
`static java.lang.String` `SCHEMA_INSTANCE_URI_2001` The value `"http://www.w3.org/2001/XMLSchema-instance"`.
`static java.lang.String` `SCHEMALOCATION_ATTRIBUTE` The value `"schemaLocation"`; an attribute on an `XML Schema element`.
`static int` `SELECTOR_ELEMENT` The value `34`.
`static java.lang.String` `SELECTOR_ELEMENT_TAG` The value `"selector"`.
`static int` `SEQUENCE_ELEMENT` The value `35`.
`static java.lang.String` `SEQUENCE_ELEMENT_TAG` The value `"sequence"`.
`static int` `SIMPLECONTENT_ELEMENT` The value `36`.
`static java.lang.String` `SIMPLECONTENT_ELEMENT_TAG` The value `"simpleContent"`.
`static int` `SIMPLETYPE_ELEMENT` The value `37`.
`static java.lang.String` `SIMPLETYPE_ELEMENT_TAG` The value `"simpleType"`.
`static java.lang.String` `SOURCE_ATTRIBUTE` The value `"source"`; an attribute on an `XML Schema element`.
`static java.lang.String` `SUBSTITUTIONGROUP_ATTRIBUTE` The value `"substitutionGroup"`; an attribute on an `XML Schema element`.
`static java.lang.String` `SYSTEM_ATTRIBUTE` The value `"system"`; an attribute on an `XML Schema element`.
`static java.lang.String` `TARGETNAMESPACE_ATTRIBUTE` The value `"targetNamespace"`; an attribute on an `XML Schema element`.
`static int` `TOTALDIGITS_ELEMENT` The value `38`.
`static java.lang.String` `TOTALDIGITS_ELEMENT_TAG` The value `"totalDigits"`.
`static java.lang.String` `TYPE_ATTRIBUTE` The value `"type"`; an attribute on an `XML Schema element`.
`static int` `UNION_ELEMENT` The value `39`.
`static java.lang.String` `UNION_ELEMENT_TAG` The value `"union"`.
`static int` `UNIQUE_ELEMENT` The value `40`.
`static java.lang.String` `UNIQUE_ELEMENT_TAG` The value `"unique"`.
`static java.lang.String` `USE_ATTRIBUTE` The value `"use"`; an attribute on an `XML Schema element`.
`static java.lang.String` `VALUE_ATTRIBUTE` The value `"value"`; an attribute on an `XML Schema element`.
`static java.lang.String` `VERSION_ATTRIBUTE` The value `"version"`; an attribute on an `XML Schema element`.
`static int` `WHITESPACE_ELEMENT` The value `41`.
`static java.lang.String` `WHITESPACE_ELEMENT_TAG` The value `"whiteSpace"`.
`static java.lang.String` `XML_NAMESPACE_URI_1998` The value `"http://www.w3.org/XML/1998/namespace"`.
`static java.lang.String` `XMLNS_URI_2000` The value `"http://www.w3.org/2000/xmlns/"`.
`static java.lang.String` `XPATH_ATTRIBUTE` The value `"xpath"`; an attribute on an `XML Schema element`.

Constructor Summary
`XSDConstants()`

Method Summary
`static int` `hfpNodeType(org.w3c.dom.Node node)` Returns the index of the node's element type, if it is an XML Schema has facet and property element tag, or -1.
`static int` `hfpNodeType(java.lang.String localName)` Returns the index of the element type, if it is an XML Schema has facet and property element tag, or -1.
`static boolean` `isAnySimpleType(XSDTypeDefinition xsdTypeDefinition)` Returns whether the type definition is the anySimpleType.
`static boolean` `isAnyType(XSDTypeDefinition xsdTypeDefinition)` Returns whether the type definition is one of the flavours of the anyType, i.e., complex anyType or simple anyType.
`static boolean` `isOrIsDerivedFrom(XSDSimpleTypeDefinition xsdSimpleTypeDefinition, java.lang.String name)` Returns whether the type definition is a built-in type with the given name or is derived from a built-in type with that name.
`static boolean` `isOrIsDerivedFrom(XSDTypeDefinition xsdTypeDefinition, java.lang.String name, java.lang.String namespace)` Returns whether the type definition has the given namespace and name or is derived from a type with that namespace and name.
`static boolean` `isOrIsDerivedFromID(XSDSimpleTypeDefinition xsdSimpleTypeDefinition)` Returns whether the simple type definition is ID or a type derived from it.
`static boolean` `isSchemaForSchemaNamespace(java.lang.String namespace)` Returns whether the given namespace is one of the XML Schema for Schema namespaces.
`static boolean` `isSchemaHasFacetAndPropertyNamespace(java.lang.String namespace)` Returns whether the give namespace is one of the XML Schema has facet and property namespaces.
`static boolean` `isSchemaInstanceNamespace(java.lang.String namespace)` Returns whether the given namespace is (one of) the XML Schema Instance namespace(s).
`static boolean` `isURType(XSDTypeDefinition xsdTypeDefinition)` Returns whether the type definition is one of the flavours of the ur-type, i.e., complex anyType, simple anyType, or anySimpleType.
`static boolean` `isXMLNamespace(java.lang.String namespace)` Returns whether the given namespace is (one of) the XML namespace(s).
`static boolean` `isXMLNSNamespace(java.lang.String namespace)` Returns whether the given namespace is (one of) the XMLNS namespace(s).
`static java.lang.String` `lookupQName(org.w3c.dom.Element element, java.lang.String qName)` Returns the URI corresponding to the resolved QName.
`static java.lang.String` `lookupQNameForAttribute(org.w3c.dom.Element element, java.lang.String localNameOfAttribute)` Returns the URI corresponding to the resolved QName of the value of the attribute of the element.
`static java.lang.String` `lookupQualifier(org.w3c.dom.Node node, java.lang.String namespaceURI)` Returns the QName qualifier than is available at the given node to access the given namespace URI.
`static int` `nodeType(org.w3c.dom.Node node)` Returns the index of the node's element type, if it is an XML Schema element tag, or -1.
`static int` `nodeType(java.lang.String localName)` Returns the index of the element type, if it is an XML Schema element tag, or -1.
`static java.lang.String` `resolveSchemaLocation(java.lang.String baseSchemaLocationURI, java.lang.String namespaceURI, java.lang.String schemaLocationURI)` Resolve the namespace and schema location relative to the base schema location.
`static java.lang.String` `uri(org.w3c.dom.Node node)` Returns the URI representation of the node's namespace URI and local name, i.e., `#`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PART1

    public static final java.lang.String PART1

  The value `"http://www.w3.org/TR/xmlschema-1/"`.

  See Also:
    Constant Field Values

### PART2

    public static final java.lang.String PART2

  The value `"http://www.w3.org/TR/xmlschema-2/"`.

  See Also:
    Constant Field Values

### XML_NAMESPACE_URI_1998

    public static final java.lang.String XML_NAMESPACE_URI_1998

  The value `"http://www.w3.org/XML/1998/namespace"`.

  See Also:
    Constant Field Values

### XMLNS_URI_2000

    public static final java.lang.String XMLNS_URI_2000

  The value `"http://www.w3.org/2000/xmlns/"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_1999

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_1999

  The value `http://www.w3.org/1999/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_2000_10

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_2000_10

  The value `"http://www.w3.org/2000/10/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_2001

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_2001

  The value `"http://www.w3.org/2001/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_INSTANCE_URI_2001

    public static final java.lang.String SCHEMA_INSTANCE_URI_2001

  The value `"http://www.w3.org/2001/XMLSchema-instance"`.

  See Also:
    Constant Field Values

### ALL_ELEMENT_TAG

    public static final java.lang.String ALL_ELEMENT_TAG

  The value `"all"`.

  See Also:
    `ALL_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANNOTATION_ELEMENT_TAG

    public static final java.lang.String ANNOTATION_ELEMENT_TAG

  The value `"annotation"`.

  See Also:
    `ANNOTATION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANY_ELEMENT_TAG

    public static final java.lang.String ANY_ELEMENT_TAG

  The value `"any"`.

  See Also:
    `ANY_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANYATTRIBUTE_ELEMENT_TAG

    public static final java.lang.String ANYATTRIBUTE_ELEMENT_TAG

  The value `"anyAttribute"`.

  See Also:
    `ANYATTRIBUTE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### APPINFO_ELEMENT_TAG

    public static final java.lang.String APPINFO_ELEMENT_TAG

  The value `"appinfo"`.

  See Also:
    `APPINFO_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ATTRIBUTE_ELEMENT_TAG

    public static final java.lang.String ATTRIBUTE_ELEMENT_TAG

  The value `"attribute"`.

  See Also:
    `ATTRIBUTE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ATTRIBUTEGROUP_ELEMENT_TAG

    public static final java.lang.String ATTRIBUTEGROUP_ELEMENT_TAG

  The value `"attributeGroup"`.

  See Also:
    `ATTRIBUTEGROUP_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### CHOICE_ELEMENT_TAG

    public static final java.lang.String CHOICE_ELEMENT_TAG

  The value `"choice"`.

  See Also:
    `CHOICE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### COMPLEXCONTENT_ELEMENT_TAG

    public static final java.lang.String COMPLEXCONTENT_ELEMENT_TAG

  The value `"complexContent"`.

  See Also:
    `COMPLEXCONTENT_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### COMPLEXTYPE_ELEMENT_TAG

    public static final java.lang.String COMPLEXTYPE_ELEMENT_TAG

  The value `"complexType"`.

  See Also:
    `COMPLEXTYPE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### DOCUMENTATION_ELEMENT_TAG

    public static final java.lang.String DOCUMENTATION_ELEMENT_TAG

  The value `"documentation"`.

  See Also:
    `DOCUMENTATION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ELEMENT_ELEMENT_TAG

    public static final java.lang.String ELEMENT_ELEMENT_TAG

  The value `"element"`.

  See Also:
    `ELEMENT_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ENUMERATION_ELEMENT_TAG

    public static final java.lang.String ENUMERATION_ELEMENT_TAG

  The value `"enumeration"`.

  See Also:
    `ENUMERATION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### EXTENSION_ELEMENT_TAG

    public static final java.lang.String EXTENSION_ELEMENT_TAG

  The value `"extension"`.

  See Also:
    `EXTENSION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### FIELD_ELEMENT_TAG

    public static final java.lang.String FIELD_ELEMENT_TAG

  The value `"field"`.

  See Also:
    `FIELD_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### FRACTIONDIGITS_ELEMENT_TAG

    public static final java.lang.String FRACTIONDIGITS_ELEMENT_TAG

  The value `"fractionDigits"`.

  See Also:
    `FRACTIONDIGITS_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### GROUP_ELEMENT_TAG

    public static final java.lang.String GROUP_ELEMENT_TAG

  The value `"group"`.

  See Also:
    `GROUP_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### IMPORT_ELEMENT_TAG

    public static final java.lang.String IMPORT_ELEMENT_TAG

  The value `"import"`.

  See Also:
    `IMPORT_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### INCLUDE_ELEMENT_TAG

    public static final java.lang.String INCLUDE_ELEMENT_TAG

  The value `"include"`.

  See Also:
    `INCLUDE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### KEY_ELEMENT_TAG

    public static final java.lang.String KEY_ELEMENT_TAG

  The value `"key"`.

  See Also:
    `KEY_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### KEYREF_ELEMENT_TAG

    public static final java.lang.String KEYREF_ELEMENT_TAG

  The value `"keyref"`.

  See Also:
    `KEYREF_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### LENGTH_ELEMENT_TAG

    public static final java.lang.String LENGTH_ELEMENT_TAG

  The value `"length"`.

  See Also:
    `LENGTH_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### LIST_ELEMENT_TAG

    public static final java.lang.String LIST_ELEMENT_TAG

  The value `"list"`.

  See Also:
    `LIST_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXEXCLUSIVE_ELEMENT_TAG

    public static final java.lang.String MAXEXCLUSIVE_ELEMENT_TAG

  The value `"maxExclusive"`.

  See Also:
    `MAXEXCLUSIVE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXINCLUSIVE_ELEMENT_TAG

    public static final java.lang.String MAXINCLUSIVE_ELEMENT_TAG

  The value `"maxInclusive"`.

  See Also:
    `MAXINCLUSIVE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXLENGTH_ELEMENT_TAG

    public static final java.lang.String MAXLENGTH_ELEMENT_TAG

  The value `"maxLength"`.

  See Also:
    `MAXLENGTH_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MINEXCLUSIVE_ELEMENT_TAG

    public static final java.lang.String MINEXCLUSIVE_ELEMENT_TAG

  The value `"minExclusive"`.

  See Also:
    `MINEXCLUSIVE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MININCLUSIVE_ELEMENT_TAG

    public static final java.lang.String MININCLUSIVE_ELEMENT_TAG

  The value `"minInclusive"`.

  See Also:
    `MININCLUSIVE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MINLENGTH_ELEMENT_TAG

    public static final java.lang.String MINLENGTH_ELEMENT_TAG

  The value `"minLength"`.

  See Also:
    `MINLENGTH_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### NOTATION_ELEMENT_TAG

    public static final java.lang.String NOTATION_ELEMENT_TAG

  The value `"notation"`.

  See Also:
    `NOTATION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### PATTERN_ELEMENT_TAG

    public static final java.lang.String PATTERN_ELEMENT_TAG

  The value `"pattern"`.

  See Also:
    `PATTERN_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### REDEFINE_ELEMENT_TAG

    public static final java.lang.String REDEFINE_ELEMENT_TAG

  The value `"redefine"`.

  See Also:
    `REDEFINE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### RESTRICTION_ELEMENT_TAG

    public static final java.lang.String RESTRICTION_ELEMENT_TAG

  The value `"restriction"`.

  See Also:
    `RESTRICTION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SCHEMA_ELEMENT_TAG

    public static final java.lang.String SCHEMA_ELEMENT_TAG

  The value `"schema"`.

  See Also:
    `SCHEMA_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SELECTOR_ELEMENT_TAG

    public static final java.lang.String SELECTOR_ELEMENT_TAG

  The value `"selector"`.

  See Also:
    `SELECTOR_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SEQUENCE_ELEMENT_TAG

    public static final java.lang.String SEQUENCE_ELEMENT_TAG

  The value `"sequence"`.

  See Also:
    `SEQUENCE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SIMPLECONTENT_ELEMENT_TAG

    public static final java.lang.String SIMPLECONTENT_ELEMENT_TAG

  The value `"simpleContent"`.

  See Also:
    `SIMPLECONTENT_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SIMPLETYPE_ELEMENT_TAG

    public static final java.lang.String SIMPLETYPE_ELEMENT_TAG

  The value `"simpleType"`.

  See Also:
    `SIMPLETYPE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### TOTALDIGITS_ELEMENT_TAG

    public static final java.lang.String TOTALDIGITS_ELEMENT_TAG

  The value `"totalDigits"`.

  See Also:
    `TOTALDIGITS_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### UNION_ELEMENT_TAG

    public static final java.lang.String UNION_ELEMENT_TAG

  The value `"union"`.

  See Also:
    `UNION_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### UNIQUE_ELEMENT_TAG

    public static final java.lang.String UNIQUE_ELEMENT_TAG

  The value `"unique"`.

  See Also:
    `UNIQUE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### WHITESPACE_ELEMENT_TAG

    public static final java.lang.String WHITESPACE_ELEMENT_TAG

  The value `"whiteSpace"`.

  See Also:
    `WHITESPACE_ELEMENT`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ALL_ELEMENT

    public static final int ALL_ELEMENT

  The value `0`.

  See Also:
    `ALL_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANNOTATION_ELEMENT

    public static final int ANNOTATION_ELEMENT

  The value `1`.

  See Also:
    `ANNOTATION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANY_ELEMENT

    public static final int ANY_ELEMENT

  The value `2`.

  See Also:
    `ANY_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ANYATTRIBUTE_ELEMENT

    public static final int ANYATTRIBUTE_ELEMENT

  The value `3`.

  See Also:
    `ANYATTRIBUTE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### APPINFO_ELEMENT

    public static final int APPINFO_ELEMENT

  The value `4`.

  See Also:
    `APPINFO_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ATTRIBUTE_ELEMENT

    public static final int ATTRIBUTE_ELEMENT

  The value `5`.

  See Also:
    `ATTRIBUTE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ATTRIBUTEGROUP_ELEMENT

    public static final int ATTRIBUTEGROUP_ELEMENT

  The value `6`.

  See Also:
    `ATTRIBUTEGROUP_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### CHOICE_ELEMENT

    public static final int CHOICE_ELEMENT

  The value `7`.

  See Also:
    `CHOICE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### COMPLEXCONTENT_ELEMENT

    public static final int COMPLEXCONTENT_ELEMENT

  The value `8`.

  See Also:
    `COMPLEXCONTENT_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### COMPLEXTYPE_ELEMENT

    public static final int COMPLEXTYPE_ELEMENT

  The value `9`.

  See Also:
    `COMPLEXTYPE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### DOCUMENTATION_ELEMENT

    public static final int DOCUMENTATION_ELEMENT

  The value `10`.

  See Also:
    `DOCUMENTATION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ELEMENT_ELEMENT

    public static final int ELEMENT_ELEMENT

  The value `11`.

  See Also:
    `ELEMENT_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ENUMERATION_ELEMENT

    public static final int ENUMERATION_ELEMENT

  The value `12`.

  See Also:
    `ENUMERATION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### EXTENSION_ELEMENT

    public static final int EXTENSION_ELEMENT

  The value `13`.

  See Also:
    `EXTENSION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### FIELD_ELEMENT

    public static final int FIELD_ELEMENT

  The value `14`.

  See Also:
    `FIELD_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### FRACTIONDIGITS_ELEMENT

    public static final int FRACTIONDIGITS_ELEMENT

  The value `15`.

  See Also:
    `FRACTIONDIGITS_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### GROUP_ELEMENT

    public static final int GROUP_ELEMENT

  The value `16`.

  See Also:
    `GROUP_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### IMPORT_ELEMENT

    public static final int IMPORT_ELEMENT

  The value `17`.

  See Also:
    `IMPORT_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### INCLUDE_ELEMENT

    public static final int INCLUDE_ELEMENT

  The value `18`.

  See Also:
    `INCLUDE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### KEY_ELEMENT

    public static final int KEY_ELEMENT

  The value `19`.

  See Also:
    `KEY_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### KEYREF_ELEMENT

    public static final int KEYREF_ELEMENT

  The value `20`.

  See Also:
    `KEYREF_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### LENGTH_ELEMENT

    public static final int LENGTH_ELEMENT

  The value `21`.

  See Also:
    `LENGTH_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### LIST_ELEMENT

    public static final int LIST_ELEMENT

  The value `22`.

  See Also:
    `LIST_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXEXCLUSIVE_ELEMENT

    public static final int MAXEXCLUSIVE_ELEMENT

  The value `23`.

  See Also:
    `MAXEXCLUSIVE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXINCLUSIVE_ELEMENT

    public static final int MAXINCLUSIVE_ELEMENT

  The value `24`.

  See Also:
    `MAXINCLUSIVE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MAXLENGTH_ELEMENT

    public static final int MAXLENGTH_ELEMENT

  The value `25`.

  See Also:
    `MAXLENGTH_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MINEXCLUSIVE_ELEMENT

    public static final int MINEXCLUSIVE_ELEMENT

  The value `26`.

  See Also:
    `MINEXCLUSIVE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MININCLUSIVE_ELEMENT

    public static final int MININCLUSIVE_ELEMENT

  The value `27`.

  See Also:
    `MININCLUSIVE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### MINLENGTH_ELEMENT

    public static final int MINLENGTH_ELEMENT

  The value `28`.

  See Also:
    `MINLENGTH_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### NOTATION_ELEMENT

    public static final int NOTATION_ELEMENT

  The value `29`.

  See Also:
    `NOTATION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### PATTERN_ELEMENT

    public static final int PATTERN_ELEMENT

  The value `30`.

  See Also:
    `PATTERN_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### REDEFINE_ELEMENT

    public static final int REDEFINE_ELEMENT

  The value `31`.

  See Also:
    `REDEFINE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### RESTRICTION_ELEMENT

    public static final int RESTRICTION_ELEMENT

  The value `32`.

  See Also:
    `RESTRICTION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SCHEMA_ELEMENT

    public static final int SCHEMA_ELEMENT

  The value `33`.

  See Also:
    `SCHEMA_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SELECTOR_ELEMENT

    public static final int SELECTOR_ELEMENT

  The value `34`.

  See Also:
    `SELECTOR_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SEQUENCE_ELEMENT

    public static final int SEQUENCE_ELEMENT

  The value `35`.

  See Also:
    `SEQUENCE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SIMPLECONTENT_ELEMENT

    public static final int SIMPLECONTENT_ELEMENT

  The value `36`.

  See Also:
    `SIMPLECONTENT_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### SIMPLETYPE_ELEMENT

    public static final int SIMPLETYPE_ELEMENT

  The value `37`.

  See Also:
    `SIMPLETYPE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### TOTALDIGITS_ELEMENT

    public static final int TOTALDIGITS_ELEMENT

  The value `38`.

  See Also:
    `TOTALDIGITS_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### UNION_ELEMENT

    public static final int UNION_ELEMENT

  The value `39`.

  See Also:
    `UNION_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### UNIQUE_ELEMENT

    public static final int UNIQUE_ELEMENT

  The value `40`.

  See Also:
    `UNIQUE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### WHITESPACE_ELEMENT

    public static final int WHITESPACE_ELEMENT

  The value `41`.

  See Also:
    `WHITESPACE_ELEMENT_TAG`, `ELEMENT_TAGS`, `nodeType(String)`, Constant Field Values

### ELEMENT_TAGS

    public static final java.lang.String[] ELEMENT_TAGS

  The sorted strings representing all XML Schema element tags.

  See Also:
    `nodeType(String)`, `nodeType(Node)`

### ABSTRACT_ATTRIBUTE

    public static final java.lang.String ABSTRACT_ATTRIBUTE

  The value `"abstract"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### ATTRIBUTEFORMDEFAULT_ATTRIBUTE

    public static final java.lang.String ATTRIBUTEFORMDEFAULT_ATTRIBUTE

  The value `"attributeFormDefault"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### BASE_ATTRIBUTE

    public static final java.lang.String BASE_ATTRIBUTE

  The value `"base"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### BLOCK_ATTRIBUTE

    public static final java.lang.String BLOCK_ATTRIBUTE

  The value `"block"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### BLOCKDEFAULT_ATTRIBUTE

    public static final java.lang.String BLOCKDEFAULT_ATTRIBUTE

  The value `"blockDefault"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### DEFREF_ATTRIBUTE

    public static final java.lang.String DEFREF_ATTRIBUTE

  The value `"defRef"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### DEFAULT_ATTRIBUTE

    public static final java.lang.String DEFAULT_ATTRIBUTE

  The value `"default"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### ELEMENTFORMDEFAULT_ATTRIBUTE

    public static final java.lang.String ELEMENTFORMDEFAULT_ATTRIBUTE

  The value `"elementFormDefault"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### FINAL_ATTRIBUTE

    public static final java.lang.String FINAL_ATTRIBUTE

  The value `"final"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### FINALDEFAULT_ATTRIBUTE

    public static final java.lang.String FINALDEFAULT_ATTRIBUTE

  The value `"finalDefault"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### FIXED_ATTRIBUTE

    public static final java.lang.String FIXED_ATTRIBUTE

  The value `"fixed"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### FORM_ATTRIBUTE

    public static final java.lang.String FORM_ATTRIBUTE

  The value `"form"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### ID_ATTRIBUTE

    public static final java.lang.String ID_ATTRIBUTE

  The value `"id"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### ITEMTYPE_ATTRIBUTE

    public static final java.lang.String ITEMTYPE_ATTRIBUTE

  The value `"itemType"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### MAXOCCURS_ATTRIBUTE

    public static final java.lang.String MAXOCCURS_ATTRIBUTE

  The value `"maxOccurs"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### MEMBERTYPES_ATTRIBUTE

    public static final java.lang.String MEMBERTYPES_ATTRIBUTE

  The value `"memberTypes"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### MINOCCURS_ATTRIBUTE

    public static final java.lang.String MINOCCURS_ATTRIBUTE

  The value `"minOccurs"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### MIXED_ATTRIBUTE

    public static final java.lang.String MIXED_ATTRIBUTE

  The value `"mixed"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The value `"name"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### NAMESPACE_ATTRIBUTE

    public static final java.lang.String NAMESPACE_ATTRIBUTE

  The value `"namespace"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### NILLABLE_ATTRIBUTE

    public static final java.lang.String NILLABLE_ATTRIBUTE

  The value `"nillable"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### OCCURS_ATTRIBUTE

    public static final java.lang.String OCCURS_ATTRIBUTE

  The value `"occurs"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### PROCESSCONTENTS_ATTRIBUTE

    public static final java.lang.String PROCESSCONTENTS_ATTRIBUTE

  The value `"processContents"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### PUBLIC_ATTRIBUTE

    public static final java.lang.String PUBLIC_ATTRIBUTE

  The value `"public"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### REF_ATTRIBUTE

    public static final java.lang.String REF_ATTRIBUTE

  The value `"ref"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### REFER_ATTRIBUTE

    public static final java.lang.String REFER_ATTRIBUTE

  The value `"refer"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### SCHEMALOCATION_ATTRIBUTE

    public static final java.lang.String SCHEMALOCATION_ATTRIBUTE

  The value `"schemaLocation"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### SOURCE_ATTRIBUTE

    public static final java.lang.String SOURCE_ATTRIBUTE

  The value `"source"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### SUBSTITUTIONGROUP_ATTRIBUTE

    public static final java.lang.String SUBSTITUTIONGROUP_ATTRIBUTE

  The value `"substitutionGroup"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### SYSTEM_ATTRIBUTE

    public static final java.lang.String SYSTEM_ATTRIBUTE

  The value `"system"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### TARGETNAMESPACE_ATTRIBUTE

    public static final java.lang.String TARGETNAMESPACE_ATTRIBUTE

  The value `"targetNamespace"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

  The value `"type"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### USE_ATTRIBUTE

    public static final java.lang.String USE_ATTRIBUTE

  The value `"use"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### VALUE_ATTRIBUTE

    public static final java.lang.String VALUE_ATTRIBUTE

  The value `"value"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### VERSION_ATTRIBUTE

    public static final java.lang.String VERSION_ATTRIBUTE

  The value `"version"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### XPATH_ATTRIBUTE

    public static final java.lang.String XPATH_ATTRIBUTE

  The value `"xpath"`; an attribute on an `XML Schema element`.

  See Also:
    `ELEMENT_TAGS`, Constant Field Values

### SCHEMA_HAS_FACET_AND_PROPERTY_URI_2001

    public static final java.lang.String SCHEMA_HAS_FACET_AND_PROPERTY_URI_2001

  The value `"http://www.w3.org/2001/XMLSchema-hasFacetAndProperty"`.

  See Also:
    Constant Field Values

### HFP_HASFACET_ELEMENT_TAG

    public static final java.lang.String HFP_HASFACET_ELEMENT_TAG

  The value `"hasFacet"`.

  See Also:
    `HFP_HASFACET_ELEMENT`, `HFP_ELEMENT_TAGS`, `hfpNodeType(String)`, Constant Field Values

### HFP_HASPROPERTY_ELEMENT_TAG

    public static final java.lang.String HFP_HASPROPERTY_ELEMENT_TAG

  The value `"hasProperty"`.

  See Also:
    `HFP_HASPROPERTY_ELEMENT`, `HFP_ELEMENT_TAGS`, `hfpNodeType(String)`, Constant Field Values

### HFP_HASFACET_ELEMENT

    public static final int HFP_HASFACET_ELEMENT

  The value `0`.

  See Also:
    `HFP_HASFACET_ELEMENT_TAG`, `HFP_ELEMENT_TAGS`, `hfpNodeType(String)`, Constant Field Values

### HFP_HASPROPERTY_ELEMENT

    public static final int HFP_HASPROPERTY_ELEMENT

  The value `1`.

  See Also:
    `HFP_HASPROPERTY_ELEMENT_TAG`, `HFP_ELEMENT_TAGS`, `hfpNodeType(String)`, Constant Field Values

### HFP_ELEMENT_TAGS

    public static final java.lang.String[] HFP_ELEMENT_TAGS

  The sorted strings representing all XML Schema has facet and property element tags.

  See Also:
    `hfpNodeType(String)`

### HFP_NAME_ATTRIBUTE

    public static final java.lang.String HFP_NAME_ATTRIBUTE

  The value `"name"`; an attribute on an XML Schema `has facet and property element`.

  See Also:
    `HFP_ELEMENT_TAGS`, Constant Field Values

### HFP_VALUE_ATTRIBUTE

    public static final java.lang.String HFP_VALUE_ATTRIBUTE

  The value `"value"`; an attribute on an XML Schema `has facet and property element`.

  See Also:
    `HFP_ELEMENT_TAGS`, Constant Field Values

Constructor Detail

### XSDConstants

    public XSDConstants()

Method Detail

### isXMLNamespace

    public static boolean isXMLNamespace(java.lang.String namespace)

  Returns whether the given namespace is (one of) the XML namespace(s).

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the given namespace is (one of) the XML namespace(s).

### isXMLNSNamespace

    public static boolean isXMLNSNamespace(java.lang.String namespace)

  Returns whether the given namespace is (one of) the XMLNS namespace(s).

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the given namespace is (one of) the XMLNS namespace(s).

### isSchemaForSchemaNamespace

    public static boolean isSchemaForSchemaNamespace(java.lang.String namespace)

  Returns whether the given namespace is one of the XML Schema for Schema namespaces.

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the given namespace is one of the XML Schema for Schema namespaces.

### isSchemaInstanceNamespace

    public static boolean isSchemaInstanceNamespace(java.lang.String namespace)

  Returns whether the given namespace is (one of) the XML Schema Instance namespace(s).

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the given namespace is (one of) the XML Schema Instance namespace(s).

### nodeType

    public static final int nodeType(java.lang.String localName)

  Returns the index of the element type, if it is an XML Schema element tag, or -1.

  Returns:
    the index of the element type.
  See Also:
    `ELEMENT_TAGS`, `nodeType(Node)`

### nodeType

    public static final int nodeType(org.w3c.dom.Node node)

  Returns the index of the node's element type, if it is an XML Schema element tag, or -1.

  Returns:
    the index of the node's element type.
  See Also:
    `ELEMENT_TAGS`, `nodeType(String)`

### uri

    public static final java.lang.String uri(org.w3c.dom.Node node)

  Returns the URI representation of the node's namespace URI and local name, i.e., `#`.

  Returns:
    the URI representation of the node's namespace URI and local name.

### isSchemaHasFacetAndPropertyNamespace

    public static boolean isSchemaHasFacetAndPropertyNamespace(java.lang.String namespace)

  Returns whether the give namespace is one of the XML Schema has facet and property namespaces.

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the give namespace is one of the XML Schema has facet and property namespaces.

### hfpNodeType

    public static final int hfpNodeType(java.lang.String localName)

  Returns the index of the element type, if it is an XML Schema has facet and property element tag, or -1.

  Returns:
    the index of the element type.
  See Also:
    `HFP_ELEMENT_TAGS`, `hfpNodeType(Node)`

### hfpNodeType

    public static int hfpNodeType(org.w3c.dom.Node node)

  Returns the index of the node's element type, if it is an XML Schema has facet and property element tag, or -1.

  Returns:
    the index of the node's element type,
  See Also:
    `isSchemaHasFacetAndPropertyNamespace(java.lang.String)`, `HFP_ELEMENT_TAGS`, `hfpNodeType(String)`

### lookupQNameForAttribute

    public static java.lang.String lookupQNameForAttribute(org.w3c.dom.Element element,
                                                           java.lang.String localNameOfAttribute)

  Returns the URI corresponding to the resolved QName of the value of the attribute of the element.

  Parameters:
    `element` - an element.
    `localNameOfAttribute` - the name of the attribute whose value to use.
  Returns:
    the URI corresponding to the resolved QName of the value of the attribute of the element.
  See Also:
    `lookupQName(Element, String)`, `Element.getAttribute(String)`

### lookupQName

    public static java.lang.String lookupQName(org.w3c.dom.Element element,
                                               java.lang.String qName)

  Returns the URI corresponding to the resolved QName.

  Parameters:
    `element` - an element.
    `qName` - the QName to resolve in the context of the given element.
  Returns:
    the URI corresponding to the resolved QName.

### lookupQualifier

    public static java.lang.String lookupQualifier(org.w3c.dom.Node node,
                                                   java.lang.String namespaceURI)

  Returns the QName qualifier than is available at the given node to access the given namespace URI. A null string, indicates that no qualifier is to be used; a null value indicates that no qualifier is available.

  Parameters:
    `node` - the context node at which to lookup a qualifier.
    `namespaceURI` - the namespace to be referenced.
  Returns:
    the QName qualifier than is available at the given node to access the given namespace URI.

### resolveSchemaLocation

    public static java.lang.String resolveSchemaLocation(java.lang.String baseSchemaLocationURI,
                                                         java.lang.String namespaceURI,
                                                         java.lang.String schemaLocationURI)

  Resolve the namespace and schema location relative to the base schema location. For example, the expression

        resolveSchemaLocation
          ("http://www.example.com/A/a.xsd",
           "http://www.example.com/B",
           "../B/b.xsd");

  would yield

        "http://www.example.com/B/b.xsd"

  When no namespace schema location is provided, the namespace itself will be used.

  Parameters:
    `baseSchemaLocationURI` - the location of the schema containing the reference, i.e., `XSDSchema.getSchemaLocation()`.
    `namespaceURI` - the namespace being resolved, i.e., `XSDImport.getNamespace()`.
    `schemaLocationURI` - the suggested location of the namespace being resolved, i.e., `XSDSchemaDirective.getSchemaLocation()`.
  Returns:
    the resolved schema location.

### isURType

    public static boolean isURType(XSDTypeDefinition xsdTypeDefinition)

  Returns whether the type definition is one of the flavours of the ur-type, i.e., complex anyType, simple anyType, or anySimpleType.

  Parameters:
    `xsdTypeDefinition` - a simple or complex type definition.
  Returns:
    whether the type definition is one of the flavours of the ur-type.

### isAnyType

    public static boolean isAnyType(XSDTypeDefinition xsdTypeDefinition)

  Returns whether the type definition is one of the flavours of the anyType, i.e., complex anyType or simple anyType.

  Parameters:
    `xsdTypeDefinition` - a simple or complex type definition.
  Returns:
    whether the type definition is one of the flavours of the anyType.

### isAnySimpleType

    public static boolean isAnySimpleType(XSDTypeDefinition xsdTypeDefinition)

  Returns whether the type definition is the anySimpleType.

  Parameters:
    `xsdTypeDefinition` - a simple or complex type definition.
  Returns:
    whether the type definition is the anySimpleType.

### isOrIsDerivedFrom

    public static boolean isOrIsDerivedFrom(XSDTypeDefinition xsdTypeDefinition,
                                            java.lang.String name,
                                            java.lang.String namespace)

  Returns whether the type definition has the given namespace and name or is derived from a type with that namespace and name.

  Parameters:
    `xsdTypeDefinition` - a type definition.
  Returns:
    whether the type definition has the given namespace and name or is derived from a type with that namespace and name.
  Since:
    2.4

### isOrIsDerivedFrom

    public static boolean isOrIsDerivedFrom(XSDSimpleTypeDefinition xsdSimpleTypeDefinition,
                                            java.lang.String name)

  Returns whether the type definition is a built-in type with the given name or is derived from a built-in type with that name.

  Parameters:
    `xsdSimpleTypeDefinition` - a type definition.
  Returns:
    whether the type definition is a built-in type with the given name or is derived from a built-in type with that name.
  Since:
    2.4

### isOrIsDerivedFromID

    public static boolean isOrIsDerivedFromID(XSDSimpleTypeDefinition xsdSimpleTypeDefinition)

  Returns whether the simple type definition is ID or a type derived from it.

  Parameters:
    `xsdSimpleTypeDefinition` - a simple type definition.
  Returns:
    whether the simple type definition is ID or a type derived from it.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.